// Any changes made in this script must also be made in mediam.c!

function make_file_elements()
{
  var num_files = document.getElementById('num_files').value;
  var file, file_num, div;

  for (file_num = 1; file_num < num_files; file_num++)
  {
    file = document.getElementById('file_' + file_num);
    if (file == null)
    {
      div = document.getElementById('div_' + file_num);
      div.innerHTML = file_element_html(file_num);
      div.style.display = '';
    }
  }

  for (; file_num < upload_limit; file_num++)
  {
    div = document.getElementById('div_' + file_num);
    div.innerHTML = '';
    div.style.display = 'none';
  }
}

function file_element_html(file_num)
{
  var html =
    '<input type=file id="file_' + file_num + '"' + 
    ' name="file_' + file_num + '"' + 'size=40' + 
    ' onchange="add_file(this)">';

  return html;
}

function add_file(file)
{
  var file_name = file.value;
  var file_num = file.id.substr(5);
  var i;

  if (win32)
    file_name = file_name.toLowerCase();

  if ((i = file_name.lastIndexOf('\\')) < 0)
    i = file_name.lastIndexOf('/');

  if (i > 0)
    file_name = file_name.substr(i + 1);

  for (i = 0; i < file_names.length; i++)
  {
    if (file_names[i] == null)
      continue;

    if (file_names[i] == file_name)
    {
      alert(txt_dup1 + '\n' + txt_dup2);
      break;
    }
  }

  file_names[file_num] = file_name;
}

function are_files_selected()
{
  var file, i;

  for (i = 0; i < upload_limit; i++)
  {
    file = document.getElementById('file_' + i);
    if (file != null && file.value.length > 0)
      break;
  }

  if (i == upload_limit)
  {
    alert(txt_select_files);
    return false;
  }

  return true;
}
