#!/bin/ksh

#
# set up internal parameters
#

SCRIPT_NAME=$1
ID=$2
DEBUG_STRING=$3
DEBUG_LOG_DIRECTORY=$4
DEBUG_LOG_FILE=$5
LOG_DEBUG=$6

DATE=`date '+%a %b %e %T %Y'`

# print debug string to appropriate location
if test "X$LOG_DEBUG" = "XYES"
then
    if test -f "$DEBUG_LOG_DIRECTORY/$DEBUG_LOG_FILE"
    then
        printf "[$DATE]  - ($ID) $SCRIPT_NAME $DEBUG_STRING\n" >> $DEBUG_LOG_DIRECTORY/$DEBUG_LOG_FILE
    else
        printf "[$DATE]  - ($ID) $SCRIPT_NAME $DEBUG_STRING\n"
    fi
else
    printf "[$DATE]  - ($ID) $SCRIPT_NAME $DEBUG_STRING\n"
fi
